Qt 5.11 | Qt 3D | C++ Classes | QTexture2DArray

Qt 5.11.3 Reference Documentation

# QTexture2DArray Class

(Qt3DRender::QTexture2DArray)

A QAbstractTexture with a Target2DArray target format. More...

Header: | #include <QTexture2DArray>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Public Functions

| QTexture2DArray(Qt3DCore::QNode *parent = nullptr)

- 21 public functions inherited from Qt3DRender::QAbstractTexture
- 13 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 15 properties inherited from Qt3DRender::QAbstractTexture
- 3 properties inherited from Qt3DCore::QNode
- 12 public slots inherited from Qt3DRender::QAbstractTexture
- 3 public slots inherited from Qt3DCore::QNode
- 13 signals inherited from Qt3DRender::QAbstractTexture
- 4 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DRender::QAbstractTexture
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A QAbstractTexture with a Target2DArray target format.

## Member Function Documentation

### QTexture2DArray::QTexture2DArray(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DRender::QTexture2DArray instance with parent as parent.